/* Lecture et ecriture d'une Position3D         */

public class LectureEcriturePosition3DEnConsole {

/* Type agrege de stockage des informations     */
/* relatives a une position en trois dimensions */

  static class Position3D {
    double x = 0.0;
    double y = 0.0;
    double z = 0.0; };

/* Programme principal                          */

  public static void main(String [] args) {
    Console.setTitle("LectureEcriturePosition3D");
    Position3D pos = new Position3D();
    Console.afficherln("SVP, vos 3 coordonnees?");
    pos.x = Console.saisirDouble();
    pos.y = Console.saisirDouble();
    pos.z = Console.saisirDouble();
    Console.afficher("(",pos.x,",",pos.y,",",pos.z,")");
  }
}